# Uses of Interface
ch.qos.logback.access.spi.ServerAdapter

Packages that use ServerAdapter
Package
Description
ch.qos.logback.access.jetty
This is logback access' implementation for Jetty 8.
ch.qos.logback.access.spi
Contains the core classes of logback access.
ch.qos.logback.access.tomcat
This is logback access' implementation for Tomcat.

## Uses of ServerAdapter in ch.qos.logback.access.jetty

Classes in ch.qos.logback.access.jetty that implement ServerAdapter
Modifier and Type
Class
Description
`class`
`JettyServerAdapter`
A jetty specific implementation of the `ServerAdapter` interface.

## Uses of ServerAdapter in ch.qos.logback.access.spi

Methods in ch.qos.logback.access.spi that return ServerAdapter
Modifier and Type
Method
Description
`ServerAdapter`
AccessEvent.`getServerAdapter()`
`ServerAdapter`
IAccessEvent.`getServerAdapter()`
Constructors in ch.qos.logback.access.spi with parameters of type ServerAdapter
Modifier
Constructor
Description
``
`AccessEvent(javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, ServerAdapter adapter)`

## Uses of ServerAdapter in ch.qos.logback.access.tomcat

Classes in ch.qos.logback.access.tomcat that implement ServerAdapter
Modifier and Type
Class
Description
`class`
`TomcatServerAdapter`
A tomcat specific implementation of the `ServerAdapter` interface.